Bug 253703 - server files have wrong path to the binary location
Summary: server files have wrong path to the binary location
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 253702
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-21 12:07 UTC by Kjartan Maraas
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 13:49:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjartan Maraas 2007-08-21 12:07:20 UTC
+++ This bug was initially created as a clone of Bug #253702 +++

Description of problem:
Found this out when trying to run some of the tests in libbonoboui:

Bonobo_Moniker_std.server:      type="shlib"
location="/usr/$LIB/bonobo/monikers/libmoniker_std_2">
Bonobo_Sample_Controls.server: 
location="/usr/$LIB/bonobo-2.0/samples/bonobo-sample-controls-2">
Bonobo_Sample_Echo.server:     
location="/usr/$LIB/bonobo-2.0/samples/bonobo-echo-2">

$LIB should have been expanded somehow I guess.

I see the same problem in the .server files from evolution, gnome-spell,
gtkhtml3 and libgnome.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Kjartan Maraas 2007-10-03 11:39:29 UTC
Again. See comment in bug 253705.

Comment 2 Matthew Barnes 2007-10-03 13:49:37 UTC
Several of the component servers ("mail", "calendar", etc.) are marked as type
"shlib" but don't use $LIB.  I looked into this a little bit and found that the
server location is determined in 'configure' my making a $libdir substitution. 
I guess that's okay too.

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.